]> git.pld-linux.org Git - packages/rpcbind.git/blob - rpcbind-systemd.patch
- use upstream systemd units (with patch); real life check wanted
[packages/rpcbind.git] / rpcbind-systemd.patch
1 --- rpcbind-0.2.4/systemd/rpcbind.service.in.orig       2016-11-28 21:47:28.000000000 +0100
2 +++ rpcbind-0.2.4/systemd/rpcbind.service.in    2018-04-11 19:41:46.466605338 +0200
3 @@ -6,12 +6,13 @@
4  # Make sure we use the IP addresses listed for
5  # rpcbind.socket, no matter how this unit is started.
6  Wants=rpcbind.socket
7 -After=rpcbind.socket
8 +After=rpcbind.socket syslog.target network.target
9  
10  [Service]
11  Type=notify
12 -# distro can provide a drop-in adding EnvironmentFile=-/??? if needed.
13 +EnvironmentFile=-/etc/sysconfig/rpcbind
14  ExecStart=@_bindir@/rpcbind $RPCBIND_OPTIONS -w -f
15  
16  [Install]
17  WantedBy=multi-user.target
18 +Also=rpcbind.socket
19 --- rpcbind-0.2.4/systemd/rpcbind.socket.orig   2016-11-28 21:47:28.000000000 +0100
20 +++ rpcbind-0.2.4/systemd/rpcbind.socket        2018-04-11 19:43:27.366604185 +0200
21 @@ -5,7 +5,7 @@
22  Before=rpcbind.target
23  
24  [Socket]
25 -ListenStream=/run/rpcbind.sock
26 +ListenStream=/var/run/rpcbind.sock
27  
28  # RPC netconfig can't handle ipv6/ipv4 dual sockets
29  BindIPv6Only=ipv6-only
This page took 0.080207 seconds and 3 git commands to generate.